declare const _sfc_main: import("vue").DefineComponent<{
    fontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontFamily: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontWeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    color: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    title: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    mode: {
        type?: import("vue").PropType<"top-title" | "no-title" | "left-title">;
        default?: "top-title" | "no-title" | "left-title";
    };
    borderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    borderRadius: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    borderStyle: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    borderWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    useBorderModify: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    textShadow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    data: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    gradientShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gradientColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gradientOffset: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    gradientAngle: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleMode: {
        type?: import("vue").PropType<"type-1" | "type-2">;
        default?: "type-1" | "type-2";
    };
    isTransparent: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isFixed: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isFlowGrid: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gridInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    border?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowSource?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}, {
    style: import("vue").ComputedRef<import("vue").HTMLAttributes | {
        border: string;
        innerHTML?: string;
        class?: any;
        style?: import("vue").StyleValue;
        accesskey?: string;
        contenteditable?: "inherit" | (boolean | "false" | "true");
        contextmenu?: string;
        dir?: string;
        draggable?: boolean | "false" | "true";
        hidden?: boolean | "false" | "true";
        id?: string;
        lang?: string;
        placeholder?: string;
        spellcheck?: boolean | "false" | "true";
        tabindex?: string | number;
        title?: string;
        translate?: "yes" | "no";
        radiogroup?: string;
        role?: string;
        about?: string;
        datatype?: string;
        inlist?: any;
        prefix?: string;
        property?: string;
        resource?: string;
        typeof?: string;
        vocab?: string;
        autocapitalize?: string;
        autocorrect?: string;
        autocave?: string;
        color?: string;
        itemprop?: string;
        itemscope?: boolean | "false" | "true";
        itemtype?: string;
        itemid?: string;
        itemref?: string;
        results?: string | number;
        security?: string;
        unselectable?: "on" | "off";
        inputmode?: "text" | "none" | "url" | "search" | "tel" | "email" | "numeric" | "decimal";
        is?: string;
        'aria-activedescendant'?: string;
        'aria-atomic'?: boolean | "false" | "true";
        'aria-autocomplete'?: "none" | "list" | "both" | "inline";
        'aria-busy'?: boolean | "false" | "true";
        'aria-checked'?: "mixed" | (boolean | "false" | "true");
        'aria-colcount'?: string | number;
        'aria-colindex'?: string | number;
        'aria-colspan'?: string | number;
        'aria-controls'?: string;
        'aria-current'?: "time" | "date" | "step" | "page" | (boolean | "false" | "true") | "location";
        'aria-describedby'?: string;
        'aria-details'?: string;
        'aria-disabled'?: boolean | "false" | "true";
        'aria-dropeffect'?: "link" | "none" | "move" | "copy" | "execute" | "popup";
        'aria-errormessage'?: string;
        'aria-expanded'?: boolean | "false" | "true";
        'aria-flowto'?: string;
        'aria-grabbed'?: boolean | "false" | "true";
        'aria-haspopup'?: "dialog" | "menu" | "listbox" | "grid" | (boolean | "false" | "true") | "tree";
        'aria-hidden'?: boolean | "false" | "true";
        'aria-invalid'?: (boolean | "false" | "true") | "grammar" | "spelling";
        'aria-keyshortcuts'?: string;
        'aria-label'?: string;
        'aria-labelledby'?: string;
        'aria-level'?: string | number;
        'aria-live'?: "off" | "assertive" | "polite";
        'aria-modal'?: boolean | "false" | "true";
        'aria-multiline'?: boolean | "false" | "true";
        'aria-multiselectable'?: boolean | "false" | "true";
        'aria-orientation'?: "vertical" | "horizontal";
        'aria-owns'?: string;
        'aria-placeholder'?: string;
        'aria-posinset'?: string | number;
        'aria-pressed'?: "mixed" | (boolean | "false" | "true");
        'aria-readonly'?: boolean | "false" | "true";
        'aria-relevant'?: "text" | "all" | "additions" | "additions text" | "removals";
        'aria-required'?: boolean | "false" | "true";
        'aria-roledescription'?: string;
        'aria-rowcount'?: string | number;
        'aria-rowindex'?: string | number;
        'aria-rowspan'?: string | number;
        'aria-selected'?: boolean | "false" | "true";
        'aria-setsize'?: string | number;
        'aria-sort'?: "none" | "ascending" | "descending" | "other";
        'aria-valuemax'?: string | number;
        'aria-valuemin'?: string | number;
        'aria-valuenow'?: string | number;
        'aria-valuetext'?: string;
        onCopy?: (payload: ClipboardEvent) => void;
        onCut?: (payload: ClipboardEvent) => void;
        onPaste?: (payload: ClipboardEvent) => void;
        onCompositionend?: (payload: CompositionEvent) => void;
        onCompositionstart?: (payload: CompositionEvent) => void;
        onCompositionupdate?: (payload: CompositionEvent) => void;
        onDrag?: (payload: DragEvent) => void;
        onDragend?: (payload: DragEvent) => void;
        onDragenter?: (payload: DragEvent) => void;
        onDragexit?: (payload: DragEvent) => void;
        onDragleave?: (payload: DragEvent) => void;
        onDragover?: (payload: DragEvent) => void;
        onDragstart?: (payload: DragEvent) => void;
        onDrop?: (payload: DragEvent) => void;
        onFocus?: (payload: FocusEvent) => void;
        onFocusin?: (payload: FocusEvent) => void;
        onFocusout?: (payload: FocusEvent) => void;
        onBlur?: (payload: FocusEvent) => void;
        onChange?: (payload: Event) => void;
        onBeforeinput?: (payload: Event) => void;
        onInput?: (payload: Event) => void;
        onReset?: (payload: Event) => void;
        onSubmit?: (payload: Event) => void;
        onInvalid?: (payload: Event) => void;
        onLoad?: (payload: Event) => void;
        onError?: (payload: Event) => void;
        onKeydown?: (payload: KeyboardEvent) => void;
        onKeypress?: (payload: KeyboardEvent) => void;
        onKeyup?: (payload: KeyboardEvent) => void;
        onAuxclick?: (payload: MouseEvent) => void;
        onClick?: (payload: MouseEvent) => void;
        onContextmenu?: (payload: MouseEvent) => void;
        onDblclick?: (payload: MouseEvent) => void;
        onMousedown?: (payload: MouseEvent) => void;
        onMouseenter?: (payload: MouseEvent) => void;
        onMouseleave?: (payload: MouseEvent) => void;
        onMousemove?: (payload: MouseEvent) => void;
        onMouseout?: (payload: MouseEvent) => void;
        onMouseover?: (payload: MouseEvent) => void;
        onMouseup?: (payload: MouseEvent) => void;
        onAbort?: (payload: Event) => void;
        onCanplay?: (payload: Event) => void;
        onCanplaythrough?: (payload: Event) => void;
        onDurationchange?: (payload: Event) => void;
        onEmptied?: (payload: Event) => void;
        onEncrypted?: (payload: Event) => void;
        onEnded?: (payload: Event) => void;
        onLoadeddata?: (payload: Event) => void;
        onLoadedmetadata?: (payload: Event) => void;
        onLoadstart?: (payload: Event) => void;
        onPause?: (payload: Event) => void;
        onPlay?: (payload: Event) => void;
        onPlaying?: (payload: Event) => void;
        onProgress?: (payload: Event) => void;
        onRatechange?: (payload: Event) => void;
        onSeeked?: (payload: Event) => void;
        onSeeking?: (payload: Event) => void;
        onStalled?: (payload: Event) => void;
        onSuspend?: (payload: Event) => void;
        onTimeupdate?: (payload: Event) => void;
        onVolumechange?: (payload: Event) => void;
        onWaiting?: (payload: Event) => void;
        onSelect?: (payload: Event) => void;
        onScroll?: (payload: UIEvent) => void;
        onTouchcancel?: (payload: TouchEvent) => void;
        onTouchend?: (payload: TouchEvent) => void;
        onTouchmove?: (payload: TouchEvent) => void;
        onTouchstart?: (payload: TouchEvent) => void;
        onPointerdown?: (payload: PointerEvent) => void;
        onPointermove?: (payload: PointerEvent) => void;
        onPointerup?: (payload: PointerEvent) => void;
        onPointercancel?: (payload: PointerEvent) => void;
        onPointerenter?: (payload: PointerEvent) => void;
        onPointerleave?: (payload: PointerEvent) => void;
        onPointerover?: (payload: PointerEvent) => void;
        onPointerout?: (payload: PointerEvent) => void;
        onWheel?: (payload: WheelEvent) => void;
        onAnimationstart?: (payload: AnimationEvent) => void;
        onAnimationend?: (payload: AnimationEvent) => void;
        onAnimationiteration?: (payload: AnimationEvent) => void;
        onTransitionend?: (payload: TransitionEvent) => void;
        onTransitionstart?: (payload: TransitionEvent) => void;
    }>;
    gradientStyle: import("vue").ComputedRef<{
        background: string;
    } | {
        background?: undefined;
    }>;
    click: () => void;
    borderStyle: import("vue").ComputedRef<{
        width: string;
        height: string;
    }>;
    theme: string;
    borderRadiusStyle: import("vue").ComputedRef<any>;
    titleLeftIcon: import("vue").ComputedRef<string>;
    titleRightIcon: import("vue").ComputedRef<string>;
    cursorStyle: import("vue").ComputedRef<{}>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    fontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontFamily: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontWeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    color: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    title: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    mode: {
        type?: import("vue").PropType<"top-title" | "no-title" | "left-title">;
        default?: "top-title" | "no-title" | "left-title";
    };
    borderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    borderRadius: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    borderStyle: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    borderWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    useBorderModify: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    textShadow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    data: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    gradientShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gradientColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gradientOffset: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    gradientAngle: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleMode: {
        type?: import("vue").PropType<"type-1" | "type-2">;
        default?: "type-1" | "type-2";
    };
    isTransparent: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isFixed: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isFlowGrid: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gridInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    border?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowSource?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}>>, {}>;
export default _sfc_main;
